<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 3. Debian-specific guidelines</title><meta name="generator" content="DocBook XSL Stylesheets V1.68.1" /><link rel="start" href="index.html" title="Debian Community Guidelines" /><link rel="up" href="index.html" title="Debian Community Guidelines" /><link rel="prev" href="ch02s05.html" title="Communication mini-HOWTOs" /><link rel="next" href="ch03s02.html" title="Handling bug reports" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. Debian-specific guidelines</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch02s05.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="ch03s02.html">Next</a></td></tr></table><hr /></div><div class="chapter" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title"><a id="debian"></a>Chapter 3. Debian-specific guidelines</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="ch03.html#debian-pkgman">Package management</a></span></dt><dt><span class="sect1"><a href="ch03s02.html">Handling bug reports</a></span></dt><dt><span class="sect1"><a href="ch03s03.html">Reporting bugs</a></span></dt></dl></div><div class="sect1" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="debian-pkgman"></a>Package management</h2></div></div></div><p>Many people in Debian have found it useful to have packages maintained by
groups rather than by singles.  Here is a list of ways to do it:
</p><div class="itemizedlist"><ul type="disc"><li><p>Work with comaintainers.  This works particularly well when a group
    of people with similar interests share maintainance of a related group of
    packages.  For example see <a href="http://pkg-ocaml-maint.alioth.debian.org/" target="_top">pkg-ocaml-maint</a>, <a href="http://alioth.debian.org/projects/pkg-italian/" target="_top">pkg-italian</a> and <a href="http://wiki.debian.org/Games/Development" target="_top">pkg-games</a>, but it also
    work well for single packages, like <a href="http://pkg-vim.alioth.debian.org/" target="_top">pkg-vim</a>.</p><p><a href="http://alioth.debian.org" target="_top">Alioth</a> comes
    particularly useful when doing group maintainance, as it easily allows to
    share a VCS repository, to create mailing lists and to also include in the
    maintainance people who are not yet Debian Developers.</p></li><li><p>Using a distributed revision control system like <a href="" target="_top">Bazaar-NG</a> or <a href="" target="_top">Darcs</a>, you can put a
    mirror of your tree on your webspace at <a href="http://people.debian.org" target="_top">people.debian.org</a>, and engage in
    cross-pulling of patches with other interested people.</p><p>This allows an easy start, with you normally doing your work and
    having it exported to a website, and is open to scaling up anytime more
    people want to get involved.</p><p>If you are not a Debian Developer, and thus cannot use the webspace
    at <a href="http://people.debian.org" target="_top">people.debian.org</a>, you can
    create an account on <a href="http://alioth.debian.org" target="_top">Alioth</a>
    and use the webspace it provides.  Note that webspace on Alioth is visible
    as <span class="emphasis"><em>http://haydn.debian.org/~user/</em></span>.
    </p></li><li><p>Add yourself to the <a href="http://wiki.debian.org/LowThresholdNmu" target="_top">
    low threshold NMU list</a>.</p><p>This lets fellow Debian Developers know that you are open to have
    external contributions in your packages.</p></li></ul></div><p>

</p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch02s05.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="ch03s02.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Communication mini-HOWTOs </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Handling bug reports</td></tr></table></div></body></html>
